exchanges: List all exchanges

API: coingecko.com:coingecko-api
Endpoint: /exchanges
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 252ms

Description

Get a list of cryptocurrency exchanges with metadata including name, country, year established, trust score, trading volume, and URL. Use this to discover exchanges or display exchange information. Results can be paginated. Does not include detailed trading pairs — see /exchanges/{id} for that.

From spec: List all exchanges with data (active, trust score, trust score rank)

Usage Tips

- Results are paginated — use `page` and `per_page` parameters - Includes trust scores and normalized volume rankings - Shows year established (when available) for reputation assessment - `url` field provides direct links to exchanges - Does not include fees or supported trading pairs

Parameters (2)

page (integer, query, optional, default: 1)

Page through results

per_page (integer, query, optional, default: 100)

Total results per page

Constraints: {'maximum': 250}

Examples (3)

List all exchanges with default pagination curl

Get a list of cryptocurrency exchanges

curl 'https://api.coingecko.com/api/v3/exchanges'
import requests

resp = requests.get("https://api.coingecko.com/api/v3/exchanges")
data = resp.json()
import zingu_apis

api = zingu_apis.api("coingecko")
result = api.fetch("exchanges")

for item in result:
    print(item)
const resp = await fetch("https://api.coingecko.com/api/v3/exchanges");
const data = await resp.json();
List first page with 10 results per page curl

Get first 10 cryptocurrency exchanges with pagination

curl 'https://api.coingecko.com/api/v3/exchanges?page=1&per_page=10'
import requests

resp = requests.get(
    "https://api.coingecko.com/api/v3/exchanges",
    params={
        'page': 1,
        'per_page': 10,
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("coingecko")
result = api.fetch("exchanges", page=1, per_page=10)

for item in result:
    print(item)
const resp = await fetch("https://api.coingecko.com/api/v3/exchanges?page=1&per_page=10");
const data = await resp.json();
List second page with 50 results per page curl

Get page 2 of exchanges with 50 results per page

curl 'https://api.coingecko.com/api/v3/exchanges?page=2&per_page=50' \
  -d '{"status": {"error_code": 429, "error_message": "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."}}'
import requests

resp = requests.get(
    "https://api.coingecko.com/api/v3/exchanges",
    params={
        'page': 2,
        'per_page': 50,
    },
    json={
        'status': {'error_code': 429, 'error_message': "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."},
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("coingecko")
result = api.fetch("exchanges", page=2, per_page=50)

for item in result:
    print(item)
const body = {
  "status": {
    "error_code": 429,
    "error_message": "You've exceeded the Rate Limit. Please visit https://www.coingecko.com/en/api/pricing to subscribe to our API plans for higher rate limits."
  }
};

const resp = await fetch("https://api.coingecko.com/api/v3/exchanges?page=2&per_page=50", {
  body: JSON.stringify(body),
});
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:38:58.428419 200 252ms
2026-04-16 03:35:55.760189 200 140ms
2026-04-16 01:43:12.360565 500 291ms
2026-04-16 00:05:34.091543 200 251ms
2026-04-15 03:03:01.062435 200 245ms
2026-04-15 01:18:20.186409 200 218ms
2026-04-15 00:55:24.196678 500 306ms
2026-04-14 02:32:27.956766 200 242ms
2026-04-14 01:22:39.582940 200 246ms
2026-04-14 00:05:58.049044 500 277ms
2026-04-12 16:17:53.154026 200 132ms
2026-04-12 14:37:42.887604 500 333ms
2026-04-12 13:01:25.723200 200 249ms
2026-04-10 04:29:01.700308 200 183ms
2026-04-10 02:41:54.827577 500 209ms
2026-04-10 02:24:29.308546 200 108ms
2026-04-09 03:31:49.205923 200 264ms
2026-04-09 01:40:14.629889 200 248ms
2026-04-09 00:41:46.960953 200 315ms
2026-04-06 06:21:14.526019 200 275ms
2026-04-06 06:17:16.012403 500 363ms
2026-04-05 19:34:01.265335 200 296ms
2026-04-05 03:15:23.752821 500 362ms
2026-04-05 02:13:36.028759 200 342ms
2026-04-05 00:18:07.537943 200 3400ms
2026-04-04 03:27:08.569070 200 208ms
2026-04-04 03:26:06.859028 200 330ms
2026-04-04 02:01:48.143296 200 227ms
2026-04-03 13:28:48.183936 200 269ms
2026-04-03 13:19:02.363310 200 243ms
2026-04-03 12:15:22.726248 200 248ms
2026-03-30 03:01:10.978874 200 242ms
2026-03-30 02:51:06.102474 500 270ms
2026-03-30 02:42:46.717137 200 241ms
2026-03-29 13:17:27.144693 200 336ms
2026-03-29 12:56:07.639500 200 137ms
2026-03-29 12:53:51.018371 500 278ms
2026-03-23 10:28:53.870164 500 220ms
2026-03-23 09:49:32.676828 200 269ms
2026-03-23 09:48:26.914640 200 204ms